mia-3dtransform2vf
Prev | Registration, Comparison, and Transformation of 3D images | Next

### mia-3dtransform2vf

#### Sysnopis:

`mia-3dtransform2vf` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

Create a 3D vector field from a given transformation. The output vector field will have the dimesions as given in the transformation description.

#### Options:

-i, --in-file=(input, required); io

  input transformation . For supported file types see Plugin type: 3dtransform/io

-o, --out-file=(output, required); io

  output vector field . For supported file types see Plugin type: 3dvf/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Transform the input transformation trans.v3df to a vector field field.vtk.

    mia-3dtransform2vf -i trans.v3df   -o field.vtk

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dtransform | Home | mia-3dvf2transform